#!/usr/bin/env bash

set -e

#check to make sure this is a 64-bit machine
getconf LONG_BIT | grep 64 > /dev/null  || ( echo "Git Fusion requires a 64-bit machine. Exiting." && exit 1)
sudo rpm --import http://package.perforce.com/perforce.pubkey
#create the file to hold the package info
#sudo touch /etc/yum.repos.d/perforce.repo

#Update sources list with the Perforce Package repo.
sudo echo "[perforce]
name=Perforce 
baseurl=http://package.perforce.com/yum/rhel/6/x86_64
enabled=1 
gpgcheck=1" >> /etc/yum.repos.d/perforce.repo
sudo yum -y update
sudo yum -y install helix-git-fusion
sudo /opt/perforce/git-fusion/libexec/configure-git-fusion.sh -n --super super --superpassword REinforce --gfp4password REinforce --gfsysuser git --gfdir /opt/perforce/git-fusion/libexec --server new --id jen --p4root /opt/perforce/servers/data/jen --p4port ssl:1666 --timezone Europe/London --unicode n
#Set some system wide variables for the VM.
sudo echo "export P4EDITOR=nano" >> /etc/bash.bashrc
sudo echo "export P4PORT=ssl:localhost:1666" >> /etc/bash.bashrc
sudo echo "export P4CONFIG=.p4config" >> /etc/bash.bashrc

